Apache Tomcat 6.0.32

## org.apache.catalina.valves
Class AccessLogValve.UserElement

    java.lang.Object
      org.apache.catalina.valves.AccessLogValve.UserElement

All Implemented Interfaces:
  AccessLogValve.AccessLogElement

Enclosing class:
  AccessLogValve

    protected class AccessLogValve.UserElement

extends java.lang.Object
implements AccessLogValve.AccessLogElement

write remote user that was authenticated (if any), else '-' - %u

Constructor Summary
`protected` `AccessLogValve.UserElement()`

Method Summary
`void` `addElement(java.lang.StringBuffer buf, java.util.Date date, Request request, Response response, long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessLogValve.UserElement

    protected AccessLogValve.UserElement()

Method Detail

### addElement

    public void addElement(java.lang.StringBuffer buf,
                           java.util.Date date,
                           Request request,
                           Response response,
                           long time)

  Specified by:
    `addElement` in interface `AccessLogValve.AccessLogElement`

Apache Tomcat 6.0.32

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.